// VcdAPITestDlg.h : header file
//

#if !defined(AFX_VCDAPITESTDLG_H__A2F189BF_447D_4DF3_9237_E8DBBB2E66AF__INCLUDED_)
#define AFX_VCDAPITESTDLG_H__A2F189BF_447D_4DF3_9237_E8DBBB2E66AF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CVcdAPITestDlg dialog

class CVcdAPITestDlg : public CDialog
{
// Construction
public:
	CVcdAPITestDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CVcdAPITestDlg)
	enum { IDD = IDD_VCDAPITEST_DIALOG };
	BOOL	m_bVCDDebug;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CVcdAPITestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void ShowVCDError(DWORD dwRC);
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CVcdAPITestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnGetvcddriveletters();
	afx_msg void OnVcddebug();
	afx_msg void OnGetvcdfilefromdrive();
	afx_msg void OnVcdeject();
	afx_msg void OnGetvcdlasterror();
	afx_msg void OnSetvcddriveletters();
	afx_msg void OnVcdinsert();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_VCDAPITESTDLG_H__A2F189BF_447D_4DF3_9237_E8DBBB2E66AF__INCLUDED_)
